import "../stylesheets/PlantCard.css";
import {Link} from "react-router-dom";
import {Plant} from "../utils/schemas";
import {QuickActionButtonProps} from "./QuickActionButton.tsx";
import QuickActions from "./QuickActions.tsx";

type PlantCardProps = {
    plant: Plant,
    quickActions?: QuickActionButtonProps[]
}

export default function PlantCard({plant, quickActions}: PlantCardProps) {
    return (
        <>
            <li className="plantCard shadow-light">
                <Link to={`/pflanze/${plant.id}`} className="plantCardLink">
                    <h2>{plant.name}</h2>
                    <img src={plant.imageUrl} alt={`Photo of plant: {plant.name}`} className="plantCardImg"/>
                </Link>
                <QuickActions quickActions={quickActions}/>
            </li>
        </>
    );
}
